Subject: Re: bug#72521: [PATCH]: lisp/help-macro.el: remove hard-coded variable-pitch-mode

From: "Paul W. Rankin" <[email-masked]>
Date: Thu, 8 Aug 2024 19:57:18 +1000

> On 8 Aug 2024, at 19:45, Eli Zaretskii <[email-masked]> wrote:
> 
> Looks good, but I wonder whether a simple boolean user option would be
> better, and also easier to customize.  After all this is not a mode,
> so people will not expect it to have a hook.  Also, if someone doesn't
> want variable-pitch-mode, I doubt they will want some other mode
> instead, so the hook will most of the time be or the default or nil.
> 
> WDYT?

Agreed. I’ve added `help-for-help-use-variable-pitch’ boolean option. 
Although it’s a mouthful, I think this name is most discoverable since 
C-h C-k C-h C-h returns `help-for-help’, and there’s variable 
`help-for-help-buffer-name’.